/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.common;

/**
 * Some commonly used i10n-strings.
 *
 * @author Gernot Belger
 */
interface SInfoI18NStrings {

    // TODO: Strings werden nur einmal verwenden; direkte Verwendung auch denkbar. Liste ist nicht vollständig
    String CSV_META_HEADER_WATERLEVEL_GAUGE = "sinfo.export.flow_depth.csv.meta.header.waterlevel.gauge";

    String CSV_META_HEADER_WATERLEVEL_YEAR = "sinfo.export.flow_depth.csv.meta.header.waterlevel.year";

    String CSV_META_HEADER_EVALUATOR = "sinfo.export.flow_depth.csv.meta.header.sounding.evaluator";

    String CSV_MEAN_BED_HEIGHT_HEADER = "sinfo.export.flow_depth.csv.header.mean_bed_height";

    String CSV_MEAN_BED_HEIGHT_HEADER_SHORT = "sinfo.export.flow_depth.csv.header.mean_bed_height.short";

    String CSV_WATERLEVEL_HEADER = "sinfo.export.flow_depth.csv.header.waterlevel";

    String CSV_DISCHARGE_HEADER = "sinfo.export.flow_depth.csv.header.discharge";

    String CSV_LABEL_HEADER = "sinfo.export.flow_depth.csv.header.label";

    String CSV_GAUGE_HEADER = "sinfo.export.flow_depth.csv.header.gauge";

    String CSV_LOCATION_HEADER = "sinfo.export.flow_depth.csv.header.location";

    String CSV_SOUNDING_HEADER = "sinfo.export.flow_depth.csv.header.sounding";

    String CSV_FLOWDEPTH_HEADER = "sinfo.export.flow_depth.csv.header.flowdepth";

    String CSV_FLOWDEPTHTKH_HEADER = "sinfo.export.flow_depth.csv.header.flowdepthTkh";

    String CSV_FLOWDEPTH_MIN_HEADER = "sinfo.export.flow_depth_minmax.csv.header.min";

    String CSV_FLOWDEPTH_MAX_HEADER = "sinfo.export.flow_depth_minmax.csv.header.max";

    String CSV_TKH_HEADER = "sinfo.export.tkh.csv.header.tkh";

    String CSV_TKH_HEADER_SHORT = "sinfo.export.flow_depth.csv.header.tkh";

    String CSV_TKHKIND_HEADER = "sinfo.export.tkh.csv.header.tkhkind";

    String CSV_CHANNEL_WIDTH_HEADER = "sinfo.export.csv.header.channel.width";

    String CSV_CHANNEL_DEPTH_HEADER = "sinfo.export.csv.header.channel.depth";

    String CSV_FLOWDEPTH_DEVELOPMENT_HEADER = "sinfo.export.csv.header.flowdepth.development";

    String PDF_FLOWDEPTH_DEVELOPMENT_HEADER = "sinfo.export.pdf.header.flowdepth.development";

    String CSV_FLOWDEPTH_DEVELOPMENT_PER_YEAR_HEADER = "sinfo.export.csv.header.flowdepth.development.per.year";

    String CSV_WATERLEVEL_DIFFERENCE_HEADER = "sinfo.export.csv.header.waterlevel.difference";

    String CSV_MEAN_BED_HEIGHT_DIFFERENCE_HEADER = "sinfo.export.csv.header.mean_bed_height.difference";

    String CSV_FLOWDEPTH_CURRENT_HEADER = "sinfo.export.csv.header.flowdepth.current";

    String CSV_FLOWDEPTH_HISTORICAL_HEADER = "sinfo.export.csv.header.flowdepth.historical";

    String CSV_META_HEADER_WATERLEVEL = "sinfo.export.flow_depth.csv.meta.header.waterlevel";

    String CSV_META_HEADER_WATERLEVEL_NAME = "sinfo.export.flow_depth.csv.meta.header.waterlevel.name";

    String PREFIX_TKH_KIND = "sinfo.export.tkh.soilkind.";

}